## libqmp-ocaml 0.9.2

=== Makefile ===
OBUILDOPTS=--debug+
#CONFOPTS=--enable-library-bytecode --enable-executable-bytecode
PKGNAME=qmp

ifneq "$(DESTDIR)" ""
INSTALL_ARGS := -destdir $(DESTDIR)
endif

.PHONY: configure build install clean uninstall

all: build

configure:
	obuild $(OBUILDOPTS) configure $(CONFOPTS)

build: configure
	obuild $(OBUILDOPTS) build

install: build
	ocamlfind remove $(PKGNAME)
	ocamlfind install $(PKGNAME) $(shell find dist/build/lib-qmp -type f) lib/META $(INSTALL_ARGS)

clean:
	obuild clean

uninstall:
	ocamlfind remove $(PKGNAME)

=== debian/changelog ===
libqmp-ocaml (0.9.2-2) UNRELEASED; urgency=low

  * Split files correctly between base and devel packages

 -- Euan Harris <euan.harris@citrix.com>  Fri, 30 May 2014 12:00:00 +0000

libqmp-ocaml (0.9.2-1) UNRELEASED; urgency=low

  * Add support for QMP 'change' command, used to change removable media
    and reconfigure VNC.

 -- Euan Harris <euan.harris@citrix.com>  Thu, 27 Mar 2014 12:00:00 +0000

libqmp-ocaml (0.9.1-1) UNRELEASED; urgency=low

  * Change representation of message timestamps from a tuple of ints to
    a float.  This avoids problems on 32-bit architectures and  follows
    the example of the OCaml standard library.

 -- Euan Harris <euan.harris@citrix.com>  Fri, 09 Aug 2013 12:00:00 +0000

libqmp-ocaml (0.9.0-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@eu.citrix.com>  Wed, 29 May 2013 12:00:00 +0000

=== debian/control ===
Source: libqmp-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 ocaml-obuild,
 ocaml-findlib,
 ocaml-native-compilers,
 libounit-ocaml-dev,
 libyojson-ocaml-dev,
 libcmdliner-ocaml-dev

Package: libqmp-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Pure OCaml implementation of the Qemu Message Protocol (QMP)
 An implementation of the Qemu Message Protocol (QMP) that allows an
 application to command, and receive events from, a running qemu
 process.

Package: libqmp-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libqmp-ocaml (>= 0.9.2-2),
 libyojson-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-qmp
 The ocaml-qmp-devel package contains libraries and signature files
 for developing applications that use ocaml-qmp.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/libqmp-ocaml/usr/lib/ocaml/qmp/*.a
	rm -f debian/libqmp-ocaml/usr/lib/ocaml/qmp/*.cmxa
	rm -f debian/libqmp-ocaml/usr/lib/ocaml/qmp/*.cmx

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
